## imcode.util
Class TestUtility

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              imcode.util.TestUtility

All Implemented Interfaces:
  junit.framework.Test

    public class TestUtility

extends junit.framework.TestCase

Constructor Summary
`TestUtility()`

Method Summary
`void` `testCreateQueryStringFromParameterMultiMap()`
`void` `testIsValidEmail()`
`void` `testThrowableContainsMessageContaining()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestUtility

    public TestUtility()

Method Detail

### testCreateQueryStringFromParameterMultiMap

    public void testCreateQueryStringFromParameterMultiMap()

### testIsValidEmail

    public void testIsValidEmail()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testThrowableContainsMessageContaining

    public void testThrowableContainsMessageContaining()